<?php

/*
| -------------------------------------------------------------------
| Registering Widget Sections
| -------------------------------------------------------------------
| */
function santra_widgets_init() {

  register_sidebar( array(
    'name' => __('Page Sidebar','santra'),
    'id' => 'sidebar-page',
	'description'   => __('This sidebar appears on pages only. Accepts shortcode.','santra'),
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h3>',
    'after_title' => '</h3>',
  ) );
  
  register_sidebar( array(
    'name' => __('Blog Sidebar','santra'),
    'id' => 'sidebar-blog',
	'description'   => __('This sidebar appears on the right of the home page content. Accepts shortcode.','santra'),
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h3>',
    'after_title' => '</h3>',
  ));

  register_sidebar( array(
    'name' => __('Posts Sidebar','santra'),
    'id' => 'sidebar-posts',
	'description'   => __('This sidebar appears on single.php - the individual post page. Accepts shortcode.','santra'),
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget' => "</div>",
    'before_title' => '<h3>',
    'after_title' => '</h3>',
  ));
   
  register_sidebar(array(
    'name' => __('Footer Left - One Third','santra'),
    'id'   => 'footer-left',
    'description'   => __('Left Footer Widget - part of three widgets that appear in the footer and are sitewide.','santra'),
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>'
  ));

  register_sidebar(array(
    'name' => __('Footer Middle - One Third','santra'),
    'id'   => 'footer-middle',
    'description'   => __('Middle Footer Widget - part of three widgets that appear in the footer and are sitewide.','santra'),
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>'
  ));

  register_sidebar(array(
    'name' => __('Footer Right - One Third','santra'),
    'id'   => 'footer-right',
    'description'   => __('Right Footer Widget - part of three widgets that appear in the footer and are sitewide.','santra'),
    'before_widget' => '<div id="%1$s" class="widget %2$s">',
    'after_widget'  => '</div>',
    'before_title'  => '<h3>',
    'after_title'   => '</h3>'
  ));
  

}
add_action( 'widgets_init', 'santra_widgets_init' );
add_filter('widget_text', 'do_shortcode');
add_filter('wp_editor', 'do_shortcode');
add_filter('header_content', 'do_shortcode');