<?php

function santra_customize_register($wp_customize) {
    // Setting group for selecting slider
   $wp_customize->add_section( 'santra_general_options' , array(
    'title'      => __('General Options','santra'),
    'priority'   => 30,
   ) );
   
   $wp_customize->add_section( 'santra_slider_options' , array(
    'title'      => __('Slider Options','santra'),
    'priority'   => 35,
   ) );
   
   $wp_customize->add_section( 'santra_footer_options' , array(
    'title'      => __('Footer Options','santra'),
    'priority'   => 37,
   ) );

/**
 * Lets begin adding our own settings and controls for this theme
 * Plus organize it in sequence in each setting group with a priority level
 */
	
	$wp_customize->add_setting(
    'santra_blogfeed_excerpts'
    );

    $wp_customize->add_control(
    'santra_blogfeed_excerpts',
    array(
        'type' => 'checkbox',
        'label' => __('Switch to exceprts on blog feed?','santra'),
        'section' => 'santra_general_options',
		'priority' => '1',
        )
    );
	
	$wp_customize->add_setting(
    'santra_excerpt_length'
    );

    $wp_customize->add_control(
    'santra_excerpt_length',
    array(
        'type' => 'text',
		'default' => '',
        'label' => __('Define the excerpt length (default is 80 chars)','santra'),
        'section' => 'santra_general_options',
		'priority' => '2',
        )
    );
	
	$wp_customize->add_setting(
    'santra_attachment_commentform_visibility'
    );

    $wp_customize->add_control(
    'santra_attachment_commentform_visibility',
    array(
        'type' => 'checkbox',
        'label' => __('Hide Comment Form on the Attachment page','santra'),
        'section' => 'santra_general_options',
		'priority' => '3',
        )
    );
	
	// Begin Santra Slider section
	$wp_customize->add_setting( 'santra_slider_transition', array(
		'default' => 'slide',
	) );
	
	$wp_customize->add_control( 'santra_slider_transition', array(
    'label'   => __( 'Slider Transition', 'santra' ),
    'section' => 'santra_slider_options',
	'priority' => '2',
    'type'    => 'radio',
        'choices' => array(
            'slide' => __( 'Slide', 'santra' ),
            'slide carousel-fade' => __( 'Fade', 'santra' ),
        ),
    ));
	
    //  = Category Dropdown =

    $categories = get_categories();
	$cats = array();
	$i = 0;
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cats[$category->slug] = $category->name;
	}
 
	$wp_customize->add_setting('santra_slide_cat', array(
		'default'        => $default
	));
	$wp_customize->add_control( 'santra_slide_cat', array(
		'settings' => 'santra_slide_cat',
		'label'   => __('Select Slider Category:','santra'),
		'section'  => 'santra_slider_options',
		'priority' => '3',
		'type'    => 'select',
		'choices' => $cats,
	));
	
	$wp_customize->add_setting(
    'santra_slide_number'
    );

    $wp_customize->add_control(
    'santra_slide_number',
    array(
        'type' => 'text',
		'default' => 5,
        'label' => __('Number Of Slides To Show - i.e 10 (default is 5)','santra'),
        'section' => 'santra_slider_options',
		'priority' => '4',
        )
    );
	
	$wp_customize->add_setting(
    'santra_slider_visibility'
    );

    $wp_customize->add_control(
    'santra_slider_visibility',
    array(
        'type' => 'checkbox',
        'label' => __('Show Home Slider','santra'),
        'section' => 'santra_slider_options',
		'priority' => '1',
        )
    );
	
	// Begin Santra footer section
	$wp_customize->add_setting(
    'santra_copyright_textbox',
    array(
        'default' => __('Copyright &copy; 2013','santra'),
    ));
	
	$wp_customize->add_control(
    'santra_copyright_textbox',
    array(
        'label' => __('Copyright Text','santra'),
        'section' => 'santra_footer_options',
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'santra_credits_visibility'
    );

    $wp_customize->add_control(
    'santra_credits_visibility',
    array(
        'type' => 'checkbox',
        'label' => __('Hide Footer Credits - We understand if you must!','santra'),
        'section' => 'santra_footer_options',
        )
    );
}

add_action( 'customize_register', 'santra_customize_register' );